<?php

namespace App\Http\Controllers\Web;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class DashboardController extends Controller
{
    public function redirect()
    {
        $role = Auth::user()->role;
        return redirect()->route($role . '.dashboard');
    }

    public function ppk()
    {
        return view('dashboard.ppk');
    }

    public function contractor()
    {
        return view('dashboard.contractor');
    }

    public function superAdmin()
{
    return view('dashboard.super-admin');
}

    public function admin()
    {
        return view('dashboard.admin');
    }

    public function agent()
    {
        return view('dashboard.agent');
    }

    public function bank()
    {
        return view('dashboard.bank');
    }

    public function auditor()
    {
        return view('dashboard.auditor');
    }
}